Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 451488 - bootstrap tar-1.26 fails with glibc 2.16 (no gets)
Summary: bootstrap tar-1.26 fails with glibc 2.16 (no gets)
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-12 05:30 UTC by Ben Longbons
Modified: 2014-07-09 08:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Longbons 2013-01-12 05:30:13 UTC
In the main tree, the patch that is already applied to tar-1.26-r1 is also applied to tar-1.26
Comment 1 Ben Longbons 2013-01-12 06:58:41 UTC
same core problem applies to net-misc/wget-1.13.4
Comment 2 Fabian Groffen gentoo-dev 2013-02-02 14:07:44 UTC
I don't understand what needs doing here
Comment 3 Ben Longbons 2013-02-02 18:11:30 UTC
Just update the prefix tree snapshot with the newest patches/ebuilds.

Otherwise, you can't bootstrap on a host with glibc 2.16+
Comment 4 Michael Haubenwallner gentoo-dev 2013-02-03 07:57:48 UTC
(In reply to comment #2)

For the records:
Manpage gets(3) tells "BUGS: Never  use  gets().", so glibc-2.16 removed gets().
Comment 5 Ben Longbons 2013-02-03 08:06:36 UTC
(In reply to comment #4)
> (In reply to comment #2)
> 
> For the records:
> Manpage gets(3) tells "BUGS: Never  use  gets().", so glibc-2.16 removed
> gets().

Actually, the reason glibc-2.16 removed gets() is because it's no longer specified in the C standard. It was merely deprecated in the old version.
Comment 6 Michael Haubenwallner gentoo-dev 2014-07-09 08:19:40 UTC
Not sure for the current bootstrap tarball, but with LATEST_TREE=yes tar-1.27 is used already.